Validate OTP
curl --request POST \
--url https://api.zerocash.tech/api/b2b/fiat/deposit/{transactionId}/validate-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"otp": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({otp: '<string>'})
};
fetch('https://api.zerocash.tech/api/b2b/fiat/deposit/{transactionId}/validate-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zerocash.tech/api/b2b/fiat/deposit/{transactionId}/validate-otp"
payload = { "otp": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.zerocash.tech/api/b2b/fiat/deposit/{transactionId}/validate-otp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'otp' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.zerocash.tech/api/b2b/fiat/deposit/{transactionId}/validate-otp"
payload := strings.NewReader("{\n \"otp\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"message": "OTP validated successfully.",
"transactionId": "pA7dbAjcXr9CZrG5"
}{}Charges
Validate OTP
This endpoint validates a deposit transaction that requires OTP confirmation after charge initiation. Use it only when Zerocash returns or sends stepRequired: “otp”. For provider-required OTPs that must be collected before creating the ch
POST
/
api
/
b2b
/
fiat
/
deposit
/
{transactionId}
/
validate-otp
Validate OTP
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The transactionId to validate.
Body
application/json
The otp sent to the user
⌘I